/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Stress Protocols 
 */
public enum EnumCM_StressProtocols {

	//CID 3261 Stress Protocols 
	BALKE_PROTOCOL("Balke protocol"),
	BRUCE_PROTOCOL("Bruce protocol"),
	ELLESTAD_PROTOCOL("Ellestad protocol"),
	MODIFIED_BRUCE_PROTOCOL("Modified Bruce protocol"),
	MODIFIED_NAUGHTON_PROTOCOL("Modified Naughton protocol"),
	NAUGHTON_PROTOCOL("Naughton protocol"),
	PEPPER_PROTOCOL("Pepper protocol"),
	RAMP_PROTOCOL("Ramp protocol"),
	EXERCISE_STRESS_ECG_TEST("Exercise stress ECG test"),
	STRESSTESTUSINGBICYCLEERGOMETER("StresstestusingBicycleErgometer"),
	PHARMACOLOGIC_STRESS_PROTOCOL("Pharmacologic Stress protocol"),
	DIPYRIDAMOLE_STRESS_PROTOCOL("Dipyridamole Stress protocol"),
	ADENOSINE_STRESS_PROTOCOL("Adenosine Stress protocol"),
	DOBUTAMINE_STRESS_PROTOCOL("Dobutamine Stress protocol"),
	PHARMACOLOGIC_AND_EXERCISE_STRESS_TEST("Pharmacologic and exercise stress test"),
	STRESS_TEST_USING_CARDIAC_PACING("Stress test using cardiac pacing");
	
	private String value;
	
	EnumCM_StressProtocols(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
